Send a message
curl --request POST \
--url https://whatsrb.com/api/v1/sessions/{session_id}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": {
"to": "+33612345678",
"message_type": "text",
"content": "<string>"
}
}
'import requests
url = "https://whatsrb.com/api/v1/sessions/{session_id}/messages"
payload = { "message": {
"to": "+33612345678",
"message_type": "text",
"content": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: {to: '+33612345678', message_type: 'text', content: '<string>'}})
};
fetch('https://whatsrb.com/api/v1/sessions/{session_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"direction": "outbound",
"to": "<string>",
"message_type": "<string>",
"content": "<string>",
"status": "queued",
"whatsapp_message_id": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"read_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid or missing API key"
}{
"error": "Not found"
}{
"error": "<string>",
"details": "<unknown>",
"upgrade_url": "<string>"
}{
"error": "free_plan_limit_reached",
"upgrade_url": "https://whatsrb.com/pricing"
}Session Messages
Send a message
POST
/
sessions
/
{session_id}
/
messages
Send a message

